<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

//процент комиссии, в числовом виде (например, "5")
var yamoneyPercent = ${dataMap['paymentSumPercent']};
 
function onKeyUpPaymentSum( sum )
{
	// проверка на то, что див вообще существует и надо куда-либо что-либо писать
	var div_sumtotal = $('div_sumtotal');
	if ( div_sumtotal != null )
	{
		div_sumtotal.innerHTML = sum.value * (100-yamoneyPercent) / 100;
		if( div_sumtotal.innerHTML == "" ) div_sumtotal.innerHTML = "0";
		if( div_sumtotal.innerHTML == "NaN" ) div_sumtotal.innerHTML = "?";
	}
};

</script>

<table class="tableFont tableWidth">
  <tr>
    <td style="padding: 0px;">
		<c:set var="paymentName" value="yamoney" scope="request" />
		<c:set var="paymentPayText" scope="request">Платежный сервис ЮKassa</c:set>
		<c:set var="paymentPaySumBefore" scope="request"><c:choose>
			<c:when test="${not empty dataMap['paymentTypes']}"><p><select name="paymentType"><c:forEach var="item" items="${dataMap['paymentTypes']}"><option value="${item[0]}">${item[1]}</option></c:forEach></select></p></c:when>
			<c:otherwise>Оплата с кошелька ЮKassa</c:otherwise>
		</c:choose></c:set>
		<c:set var="paymentPayNoteMessage" scope="request"><div><c:choose>
		<c:when test="${dataMap['paymentSumAmount'] eq 'shop'}">Внимание! На счёт будет зачислена не вся сумма,<br/>а введённая сумма за вычетом комиссии Yandex.<br/> Комиссия в данный момент составляет ${dataMap['paymentSumPercent']}%.<br/> Сумма к зачислению: <span id="div_sumtotal">0</span> рублей.</c:when>
		<c:when test="${dataMap['paymentSumAmount'] eq 'order'}">На счёт будет зачислена вся введённая сумма, комиссия Yandex не взимается.</c:when>
		</c:choose></div></c:set>
		<jsp:include page="../include/payment_tabs.jsp"/>
		<jsp:include page="../include/payment_pay.jsp"/>
	</td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="yamoneyListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth1024">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="yamoneyListForm" month="${dataMap['period'].monthFrom}" year="${dataMap['period'].yearFrom}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="yamoneyListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth1024" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td>Транзакция</td>
				<td>Дата/время оплаты</td>
				<td>Кошелёк</td>
				<td>Сумма общая</td>
				<c:if test="${dataMap['paymentSumAmount'] eq 'shop'}"><td>Сумма на счёт</td></c:if>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['transactions']}">
			<c:forEach var="item" varStatus="status" items="${dataMap['transactions']}">
				<tr>
					<td>${status.count}</td>
					<td>${item.invoiceId}</td>
					<td><fmt:formatDate value="${item.paymentDateTime}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td>
					<td>${item.paymentPayerCode}</td>
					<td nowrap="nowrap">${item.orderSumAmount} ${item.orderSumCurrencyPaycash.title}</td>
					<c:if test="${dataMap['paymentSumAmount'] eq 'shop'}"><td nowrap="nowrap">${item.shopSumAmount} ${item.shopSumCurrencyPaycash.title}</td></c:if>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="6" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>